== Changelog ==

= 3.2.0 - 2019-01-20 =
- Updated all js library to the latest versions
- Fix: issue in the loading customizer view on some servers.
- New actions and filters
- Fix: spinner save issue on some severs.
- Fix: block title using html tags.
- accessibility improvements.
- fix: jetpack post views bug.
- Updated Youtube icon
- Instagrm lazy load
- AMP Related Posts get related posts by categories
- h1 internal page builder pages title
- Fix: header img ad alignment
- New option to customize the titlem message and color of the Adblock popup.
- Meta desc tag if there is no a SEO plugin installed with option to enable / disable.
- Option to set custom image icon social.
- All link in mega menu
- Option to list posts in alphabetic order (A to Z listing) for blocks in page builder, related posts, read next slider, posts widget, slider widget.
- Alt text for logo
- Option to set icon for the section title.
- Option to set icon for the block title.
- The theme loads bu default the min js and CSS files.
- Improved: Ajax requests speed
- Mega Menu Ajax Requests 30% faster
- Theme performance 25%
- Improved: responsive videos code.
- Number of nodes per page.
- Improved Ajax Search library performance.
- Velocity removed.
- reduced scripts loaded on mobiles
- New option to set a logo in the lazy loading.
- entry class added to the taxonomy-desc 
- Google Fonts disabled by default on the 2g mobile
- Option to hide all read more buttons on mobile.
- Pagebuilder appearance issue withe gutenberg


https://wetopi.com/the-secret-revealed-on-how-we-increased-our-score-in-google-lighthouse-audit-to-100/
https://deanhume.com/

- Usage of https://wordpress.org/plugins/plugin-load-filter/ 
inline   Webfontloader > lighthouse 86 - pagespeed 89
External Webfontloader > lighthouse 86 - pagespeed 85








= 3.2.0 - 2019-01-20 =
- New: Option to disable the Read Next slider on posts individually.
- New: Small Featured image layout in the archives.
- FIXED: WordPress Gallery block Lightbox bug.
- FIXED: Standard Post icon bug.
- FIXED: Post Custom CSS code option saving bug.
- FIXED: Masonry and Authors page templates options with the Gutenberg bug.
- FIXED: Custom content block editor buttons.
- FIXED: Post Views conflict with the Wp Fastest Cache plugin.
- Improved: appearance of the Taqyeem review box in the WooCommerce pages.
- Improved: paragraphs and lists styles in the products pages.
- Improved: Added noopener to all the _blank links.
- Improved: Exclude current post option now works with the JetPack plugin.
- And Improvements and minor bug fixes

# Files Updated
category.php
functions.php
style.css
assets/css/style.css
assets/css/style.min.css
assets/css/taqyeem.css
assets/css/taqyeem.min.css
assets/css/woocommerce.css
assets/css/woocommerce.min.css
assets/js/scripts.js
assets/js/scripts.min.js
assets/js/sliders.js
assets/js/sliders.min.js
framework/blocks.php
framework/admin/framework-admin.php
framework/admin/page-builder.php
framework/admin/assets/style.css
framework/admin/assets/tie.js
framework/admin/assets/images/archives/blog-small.png
framework/admin/classes/class-tielabs-admin-helper.php
framework/admin/classes/class-tielabs-settings-post.php
framework/admin/classes/class-tielabs-settings.php
framework/admin/theme-options/archives.php
framework/admin/theme-options/styling.php
framework/classes/class-tielabs-advertisment.php
framework/classes/class-tielabs-filters.php
framework/classes/class-tielabs-helper.php
framework/classes/class-tielabs-instagram.php
framework/classes/class-tielabs-postviews.php
framework/functions/general-functions.php
framework/functions/media-functions.php
framework/functions/post-actions.php
framework/functions/post-functions.php
framework/plugins/class-tielabs-buddypress.php
framework/plugins/class-tielabs-jetpack.php
framework/plugins/crypto.php
framework/plugins/amp-templates/style.php
framework/widgets/ads.php
framework/widgets/flickr.php
framework/widgets/instagram.php
framework/widgets/slider.php
framework/widgets/social-counters.php
framework/widgets/twitter.php
framework/widgets/weather.php
framework/widgets/youtube.php
inc/help-links.php
templates/archives.php
templates/featured.php
templates/footer-instagram.php
templates/footer.php
templates/popup.php
templates/loops/loop-overlay.php
templates/single-post/read-next.php
templates/single-post/share.php

-------------------------------------------------------------------------

= 3.1.1 - 2018-12-11 =
- FIXED: Post order option in Block 8.
- FIXED: PHP Warning notices with some plugins.
- FIXED: Non Formatting HTML in the post editor for the Editor role.
- And Improvements and minor bug fixes

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-filters.php
- framework/plugins/amp-templates/style.php

-------------------------------------------------------------------------

= 3.1.0 - 2018-12-07 =
- IMPROVED: Hide the comments meta icon if the comments are closed on the post and the post doesn't have any comments.
- IMPROVED: AMP child theme Templates override.
- IMPROVED: Add support for the pages in the live search if it is not excluded in the search settings in the theme options.
- IMPROVED: BuddyPress elements styling.
- FIXED: WooCommerce Featured Images lazy load bug.
- FIXED: TieLabs Builder button bug with Gutenberg.
- FIXED: Subtitle section bug with Gutenberg.
- FIXED: Read Next title RTL position bug.
- FIXED: Story Index custom color bug.
- FIXED: Conflict with the front-end builders such as Thrive Leads and Elementor
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-buddypress.php
- framework/widgets/posts.php
- inc/style.php
- templates/featured.php
- templates/loops/loop-big-thumb.php
- templates/loops/loop-large-above.php
- templates/loops/loop-masonry.php
- templates/loops/loop-overlay.php
- templates/single-post/head.php
- templates/single-post/related.php

-------------------------------------------------------------------------

= 3.0.4 - 2018-10-25 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/style.css
- assets/css/style.min.css
- framework/classes/class-tielabs-advertisment.php

-------------------------------------------------------------------------

= 3.0.3 - 2018-10-24 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-10.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-advertisment.php

-------------------------------------------------------------------------

= 3.0.2 - 2018-10-05 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/ie-lt-10.css
- assets/css/style.css
- assets/css/style.min.css
- framework/functions/post-actions.php

-------------------------------------------------------------------------

= 3.0.1 - 2018-09-29 =
- FIXED: Slider 18 RTL bug.
- FIXED: Post sub title html codes bug.
- FIXED: Classic Editor text bug.
- FIXED: Push Notifications send section bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-foxpush.php

-------------------------------------------------------------------------

= 3.0.0 - 2018-09-27 =
- NEW: Fitness Demo https://jannah.tielabs.com/fitness/
- NEW: Salad Dash Demo https://jannah.tielabs.com/salad-dash/
- NEW: Compatibility with the latest version of the BuddyPress plugin.
- NEW: Compatibility with the latest version of the AMP plugin.
- NEW: Compatibility with the new Gutenberg builder to create posts.
- New: 2 Sliders Layouts.
- New: Options to upload your custom fonts directly from the options page.
- New: Block Layout - Classic blog layout with a small thumbnail.
- NEW: Option to disable the Built-in Mega Menus feature to use a third party plugin.
- NEW: Post Views increment support in AMP Pages.
- NEW: Now you can set custom options for the BuddyPress Registration page.
- NEW: Article inline Ads.
- NEW: Current Weather state description is now available for translation in the theme panel.
- NEW: Option to set a custom URL for the logos.
- NEW: Options to set custom Sidebar settings for posts inside a certain category.
- NEW: Use primary-color in any custom CSS section and it will be replaced with the current primary color.
- NEW: Read Next section in the single post page with 2 styles.
- NEW: Related Posts section with featured images in the AMP pages.
- NEW: Option to set the number of posts in the related posts section.
- NEW: Option to Show/Hide the Categories and Tags in the AMP pages.
- NEW: Option to Show/Hide the Log in icon in the mobile menu.
- NEW: Option to Show/Hide the Cart icon in the mobile menu.
- NEW: Option to Show/Hide the BuddyPress notification icon in the mobile menu.
- NEW: Option to disable specific tabs in the tabs widget.
- NEW: Option to set a custom mobile menu.
- NEW: Option to set a scheme type for the posts in a specific category.
- NEW: Option to disable the black gradient overlay from the sliders.
- NEW: Smart Sticky Header is now supported on mobile.
- NEW: Typography Options for the posts title in the theme's widgets.
- NEW: Typography Options for the page builder sections titles.
- NEW: Turkish, Portuguese (Brazil) French and Spanish translations have been added.
- NEW: Option to set a custom background color for the mobile header.
- IMPROVED: Twitter Share Button.
- IMPROVED: Mega menu filters now display only the first level of child categories.
- IMPROVED: Text Transformation settings for some elements.
- IMPROVED: The primary category label is now hidden by default in the category pages.
- UPDATED: ARQAM Lite plugin.
- UPDATED: Taqyeem plugin.
- UPDATED: Jannah Extensions plugin.
- FIXED: Facebook counter bug.
- FIXED: Tabs Shortcode Styling bug.
- FIXED: Excluding posts from the sliders bug.
- FIXED: Custom Footer Padding option bug.
- FIXED: Post views issue with the custom post types.
- FIXED: Warning message when updating the main menu.
- FIXED: Bug prevents the Post views option to appear in the post edit page.
- FIXED: Duplication entry bug in Taqyeem.
- And Improvements and minor bug fixes.

# Files Updated
- buddypress.php
- functions.php
- page.php
- prepros.cfg
- rtl.css
- screenshot.jpg
- sidebar-slide.php
- sidebar.php
- style.css
- assets/css/bbpress.css
- assets/css/bbpress.min.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/crypto.css
- assets/css/ie-10.css
- assets/css/ie-lt-10.css
- assets/css/ie-lte-11.css
- assets/css/mptt.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- buddypress/activity/index.php
- buddypress/activity/single/home.php
- buddypress/blogs/index.php
- buddypress/groups/index.php
- buddypress/members/index.php
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/assets/images/blocks/block-classic-small.png
- framework/admin/assets/images/blocks/block-slider_17.png
- framework/admin/assets/images/blocks/block-slider_50.png
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/classes/class-tielabs-menu-limit-detector.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-posts-switcher.php
- framework/admin/classes/class-tielabs-required-plugins.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/classes/class-tielabs-system-status.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/classes/class-tielabs-verification.php
- framework/admin/classes/class-tielabs-welcome-page.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/background.php
- framework/admin/theme-options/bbpress.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/footer.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/logo.php
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/posts.php
- framework/admin/theme-options/sidebars.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/translations.php
- framework/admin/theme-options/typography.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-pagination.php
- framework/classes/class-tielabs-postviews.php
- framework/classes/class-tielabs-speeder.php
- framework/classes/class-tielabs-styles.php
- framework/classes/class-tielabs-weather.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-buddypress.php
- framework/plugins/class-tielabs-woocommerce.php
- framework/plugins/amp-templates/footer.php
- framework/plugins/amp-templates/style.php
- framework/vendor/one-click-demo-import/one-click-demo-import.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/tabs.php
- framework/widgets/twitter.php
- inc/help-links.php
- inc/style.php
- inc/theme-setup.php
- inc/updates.php
- templates/category-slider.php
- templates/featured.php
- templates/footer.php
- templates/header/components.php
- templates/header/nav-main.php
- templates/header/nav-top.php
- templates/loops/loop-default.php
- templates/single-post/featured.php
- templates/single-post/fly-box.php
- templates/single-post/read-next.php
- templates/single-post/related.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 2.1.4 - 2018-04-23 =

- FIXED: Translation Panel bug.

# Files Updated
- functions.php
- style.css
- framework/admin/category-options.php
- framework/admin/framework-admin.php
- framework/admin/framework-options.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/functions/general-functions.php

-------------------------------------------------------------------------

= 2.1.3 - 2018-04-22 =

- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Shortcodes notice message.
- IMPROVED: Custom borders color.
- IMPROVED: Slide Sidebar and mobile menu close button behavior.
- IMPROVED: WooCommerce My Account menu styles.
- FIXED: blockquote Custom typography bug.
- FIXED: WooCommerce XML file importing bug.
- FIXED: Translation issue with the Ajax requests.
- FIXED: Mobile menu issue when the built-in cache option is enabled.
- FIXED: Website Icon in the About Author box.
- FIXED: Custom Footer Padding Bottom bug.
- FIXED: IE11 styling bugs.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-10.css
- assets/css/ie-lt-10.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/taqyeem.css
- assets/css/taqyeem.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/blocks.php
- framework/admin/posts-options.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-styles.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- inc/deprecated.php
- inc/style.php

-------------------------------------------------------------------------

= 2.1.2 - 2018-04-12 =

- FIXED: Category Layout Styling bug.
- FIXED: Mobile menu issue when the built-in cache option is enabled.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- prepros.cfg
- rtl.css
- style.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- assets/js/dev/breakingNews.js
- assets/js/dev/tiesticky.dev.js
- framework/admin/classes/class-tielabs-posts-switcher.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-speeder.php
- framework/classes/class-tielabs-styles.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/vendor/one-click-demo-import/assets/js/main.js
- inc/style.php
- inc/updates.php
- templates/archives.php

-------------------------------------------------------------------------

= 2.1.1 - 2018-04-11 =

- IMPROVED: The order of the social icons in the header.
- IMPROVED: WooCommerce Cart scroller style.
- FIXED: Post views issue with cache plugins.
- FIXED: Visual styles in the post editor.
- FIXED: Responsive Adsense Ads height issue.
- FIXED: Custom theme color css code bug.
- FIXED: Two Columns blocks margin issue.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- header.php
- rtl.css
- assets/css/bbpress.css
- assets/css/bbpress.min.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-lt-10.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- framework/blocks.php
- framework/framework-load.php
- framework/admin/framework-notices.php
- framework/admin/assets/style.css
- framework/admin/theme-options/footer.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-postviews.php
- framework/classes/class-tielabs-styles.php
- framework/classes/class-tielabs-weather.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/plugins/crypto.php
- framework/widgets/instagram.php
- framework/widgets/social-counters.php
- framework/widgets/twitter.php
- inc/theme-setup.php
- templates/footer-instagram.php
- templates/header/components.php
- templates/header/nav-top.php

-------------------------------------------------------------------------

= 2.1.0 - 2018-04-08 =

- NEW: A lot of new filters and hooks to allow the developers to customize the theme easily.
- NEW: Notice in the automatic theme update page if the theme folder doesn't match the original name.
- NEW: Add support for shortcode in the head and footer codes sections.
- NEW: Now you can set a featured image for the pages built with the page builder and it will be used in the OG meta.
- NEW: Lazy Load for the Post Slider images.
- IMPROVED: Facebook share in the "Select & Share" feature.
- IMPROVED: WooCommerce featured images sizes.
- IMPROVED: WooCommerce columns bug.
- IMPROVED: Removed all Ads shortcodes from the AMP pages.
- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Built Translation system.
- FIXED: WooCommerce buttons styling bug.
- FIXED: LazyLoad bug for images in the post content.
- FIXED: Password protected issue for pages built with the page builder.
- FIXED: Sticky header bug on mobiles.
- FIXED: Sidebar positions in the demos data.
- FIXED: Global meta options bug.
- FIXED: issue with Polylang plugin.
- FIXED: Do not duplicate posts bug with the Videos playlist block.
- FIXED: Below Header Ads margins on mobiles.
- FIXED: Related posts above footer in WooCommerce pages.
- FIXED: Non-clickable search close button.
- FIXED: LightBox Arrows directions RTL.
- FIXED: Post Layout 8 Issue on the WooCommerce page.
- FIXED: Above Header margins bug.
- FIXED: Block 16 and 12 title section bg color with Clean Blocks Layout.
- FIXED: Sticky Video position bug.
- FIXED: Numeric Pagination bug.
- FIXED: Social Icons widget padding in the responsive.
- FIXED: WooCommerce Payment Method text color issue.
- FIXED: Vivaldi browser issues.
- FIXED: Multiple AMP Carousel error bug.
- FIXED: Compatibility issue with the Jackmail Newsletter plugin.
- And Improvements and minor bug fixes.

# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 2.0.4 - 2018-02-21 =

- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- js/scripts.js
- js/scripts.min.js
- css/style.css
- css/style.min.css

-------------------------------------------------------------------------

= 2.0.3 - 2018-02-16 =

- IMPROVED: Lists in the widgets style.
- IMPROVED: Support for the archive global meta options in the search results page.
- FIXED: Responsive Adsense ads in the header bug.
- FIXED: Post layout 8 cover image bug.
- FIXED: Global Meta options conflict in the single post page.
- FIXED: Boxes titles issues on Safari and mobile devices.
- FIXED: RTL posts meta alignment bug on Safari and mobile devices.
- FIXED: Divider shortcode styling issue.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- sidebar-slide.php
- style.css
- css/bbpress.css
- css/bbpress.min.css
- css/buddypress.css
- css/buddypress.min.css
- css/ie-10.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/parts/post-fly-box.php
- framework/plugin-integrations/woocommerce.php

-------------------------------------------------------------------------

= 2.0.2 - 2018-02-09 =

- UPDATED: WooCommerce 3.3.0 Compatibility.
- FIXED: Sticky Video styles related bugs.
- FIXED: DEMO Importer Sidebar position bug.
- FIXED: Prevent setting page revisions as a front page.
- FIXED: Post Views and Reviews order bug in the posts widget.
- FIXED: Minify CSS module bug.
- IMPROVED: Demo Importer.
- IMPROVED: Responsive Full-width footer tags widget.
- IMPROVED: Syntax highlighter for the CSS section in the category edit page.
- IMPROVED: Below Header Ad spaces.
- IMPROVED: The default color of the go-to top button.
- IMPROVED: Weather module codes.
- And Improvements and minor bug fixes.

# Files Updated
- comments.php
- functions.php
- rtl.css
- single.php
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/crypto.css
- css/crypto.min.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- framework/blocks.php
- framework/widgets.php
- framework/admin/category-options.php
- framework/admin/framework-admin.php
- framework/admin/menu-limit-detector.php
- framework/admin/page-builder.php
- framework/admin/posts-options.php
- framework/admin/theme-options.php
- framework/admin/assets/tie.js
- framework/admin/category-options/layout.php
- framework/admin/theme-options/styling.php
- framework/functions/formating.php
- framework/functions/setup.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/headers/header-content.php
- framework/headers/header-posts-layout.php
- framework/headers/header.php
- framework/parts/featured.php
- framework/parts/post-fly-box.php
- framework/parts/post-related.php
- framework/plugin-integrations/woocommerce.php
- framework/widgets/posts.php
- framework/widgets/weather.php
- languages/jannah.pot

-------------------------------------------------------------------------

= 2.0.1 - 2018-02-03 =

- IMPROVED: WooCommerce 3.3.0 compatibility.
- IMPROVED: BuddyPress Edit profile Fields styles.
- IMPROVED: Hide Send Web Notifications campaign box if the Web notification option is disabled.
- IMPROVED: Responsive Adsense ads.
- IMPROVED: Sticky Videos.
- Updated: Parisian language files.
- FIXED: Smart Sticky menu bug.
- FIXED: Audio Player hover styling issue.
- FIXED: Post layout #3 and #7 title background issue fix.
- FIXED: Trending text translation bug.
- FIXED: Custom Social links with non-latin languages.
- FIXED: JetPack 30/7 days posts.
- FIXED: Weather in header custom color bug.
- FIXED: Post print issues.
- FIXED: Custom color for the rating bar in the blocks.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- framework/admin/framework-admin.php
- framework/admin/assets/tie.js
- framework/admin/theme-options/web-notifications.php
- framework/functions/backward-compatibility.php
- framework/functions/foxpush.php
- framework/functions/open-graph.php
- framework/functions/pagenavi.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header.php
- framework/parts/post-featured.php
- framework/widgets/facebook.php
- framework/widgets/slider.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/fa_IR.mo
- languages/fa_IR.po
- languages/jannah.pot
- woocommerce/global/wrapper-end.php
- woocommerce/global/wrapper-start.php

-------------------------------------------------------------------------

= 2.0.0 - 2018-01-28 =

- NEW: Block Layout #16.
- NEW: 3 new Posts layouts for archives pages.
- NEW: 7 Block Head styles.
- New: Modern Sliders Loading method.
- New: Send Web Notifications for your posts directly from the post edit page.
- NEW: Options to show the Weather in the Main and Secondary Nav.
- NEW: Unboxed layout for the blocks and widgets.
- NEW: Option to sticky the Header on mobile.
- NEW: Centered Logo Mobile Header layout.
- NEW: Mobile Menu Layout.
- NEW: Option to enable/disable the animations of the weather icons.
- NEW: Post Views Settings tab on the theme options page.
- NEW: Option to enable/disable the colored post views.
- NEW: Option to set a starter views number for the new posts.
- NEW: Option to set the minimum views number for each color.
- NEW: Option to change post views to a fake number.
- NEW: Option in the Posts List widget to exclude current post in the single post page.
- NEW: Option to change the font settings for the archive title.
- NEW: Option to show the posts' Modified date instead of the Published date.
- NEW: Option to upload a default/fallback Open Graph image.
- NEW: Option to show the review rating in the sliders blocks.
- NEW: Option to show the review rating in the single category page sliders.
- NEW: Option to set the position of the related posts below comments.
- NEW: Option to set the position of the related posts above the footer.
- NEW: Send to friend option in the select and share feature.
- NEW: Option to set a title for the Ad spaces.
- NEW: Option to set a Link to the title of the Ad spaces.
- NEW: Ad space above the header.
- NEW: Ad space above the post content in the single post page.
- NEW: Ad space below the post content in the single post page.
- New: Option to hide the Above Header Ad on mobile.
- NEW: Options in the Post edit page to hide the above and below content ads.
- NEW: Options in the Post edit page to set a custom Ad for the above and below content spaces.
- New: 2 Ad Spaces to show Ads between the posts in the archives pages.
- NEW: Add support for the dark skin mode to the WordPress embedded posts cards.
- NEW: Primary Category label appears now in the blocks.
- NEW: Option to set specific posts as Trending posts.
- NEW: Option to set the speed of the sliders.
- NEW: Add the custom logo to the AMP structure data.
- NEW: Option to disable the custom theme's styles in the editor.
- NEW: Now you can set custom menu, logo, color, background, etc for the all shop pages.
- NEW: option to Use the BuddyPress Member Profile link instead of the default author page link in the post meta, author box, and the login sections.
- NEW: Add the comments list section titles to the translation panel.
- NEW: Option to exclude specific posts by IDs in the Blocks and the sliders.
- New: Option in the Posts List Widget to show the Related posts by categories.
- New: Option in the Posts List Widget to show the Related posts by tags.
- New: Option in the Posts List Widget to show the Related posts by author.
- New: Layout in the Posts List widget to show the Authors Posts.
- New: Share buttons layout.
- New: Save time and access any theme options' tab directly from the admin bar.
- New: Support Facebook Instant Articles.
- New: Syntax Highlighting for the codes fields.
- New: Option to set Custom background and arrow color for the Back To Top button.
- New: Option for the single category to show the Videos Playlist in Dark Skin.
- NEW: Sticky Videos options in the single post page.
- NEW: Options to disable the Author, Comments and View meta info in the archives.
- NEW: Options to disable the Author, Comments and View meta info in the page builder blocks.
- NEW: Vimeo videos now matches the color of the custom block/page/theme color.
- NEW: Google Fonts Support for the Gurmukhi, Arabic, Bengali, Devanagari, Gujarati, Hebrew, Kannada, Malayalam, Myanmar, Oriya, Sinhala, Tamil, Telugu, and Thai languages.
- NEW: Support for the shortcodes in the Footer text areas.
- IMPROVED: Removed padding shortcode from the AMP pages..
- IMPROVED: Numbers for non-latin languages.
- IMPROVED: RTL support for the Child Theme.
- IMPROVED: Sticky menu behavior.
- IMPROVED: Columns shortcodes contents in the post excerpt.
- IMPROVED: Columns shortcodes with the estimated reading time.
- IMPROVED: WooCommerce tabs layout.
- IMPROVED: Mobile menu Icon style.
- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Posts Switcher notice appearance.
- IMPROVED: Post titles font size in the responsive version.
- IMPROVED: Content Index Panel on the small screens.
- IMPROVED: Slider 1 styling.
- IMPROVED: WooCommerce Archives pages title spacing.
- IMPROVED: The Breaking News Block style.
- IMPROVED: Add Comment form style.
- IMPROVED: Removed the latest current item from the Breadcrumb schema data.
- IMPROVED: Select and share feature.
- IMPROVED: WooCommerce functions.
- IMPROVED: Logos SVG support.
- Updated: Modernizr.js to the latest version.
- Updated: Jarallax.js to the latest version.
- Updated: iLightBox.js to the latest version.
- FIXED: Facebook widget page URL issue.
- FIXED: Sticky logo image on the mobiles.
- FIXED: a LazyLoad issue in the WordPress Embedded links.
- FIXED: Block titles issue on Safari.
- FIXED: Borders color option bug.
- FIXED: Importing demo images conflict with the Images Optimizing plugins.
- FIXED: Loading Woocommerce orders pages on some servers.
- FIXED: Dark Block AJAX filter custom color hover bug.
- FIXED: Styling Conflicts with some plugins like Youtube Embed Plus Pro.
- FIXED: Sections video background bugs on mobiles.
- FIXED: Fullwidth post slider width in responsive bug.
- FIXED: Audio Player height issue of the full width posts.
- FIXED: Author's avatar link bug in the single author page.
- FIXED: Color and icons Pickers issues with WP 4.9.
- FIXED: Setting custom gradient background for posts and pages bug.
- FIXED: Site title custom typography bug.
- FIXED: Issue in the Masonry page template when there is no cats set.
- FIXED: Images position masonry lazy load.
- FIXED: Weather forecast days due to OpenWeatherMap API Change.
- FIXED: Posts counter issue with more than 1000 posts.
- FIXED: Custom Site width issue.
- FIXED: Tabs Shortcode width issue.
- FIXED: Title Length option bug for the Posts in the Fly Check Also Box.
- FIXED: Exclude post types from search option bug.
- FIXED: Type to search bug on Firefox.
- FIXED: Logo size on IE browsers.
- FIXED: Audio Player styling bug.
- FIXED: Importing demos page styling bug in the RTL version.
- FIXED: JetPack comments section styling bug.
- And Improvements and minor bug fixes.

# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 1.3.1 - 2017-10-10 =

- ADDED: Farsi language files.
- IMPROVED: Delete the Widget cache changing the widget settings.
- FIXED: Sticky logo image on the mobiles.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/auto-update.php
- framework/admin/framework-notices.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/page-builder-widgets.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/post-options/sidebar.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/footer.php
- framework/footers/footer-instagram.php
- framework/functions/mega-menus.php
- framework/functions/mobile.php
- framework/functions/speeder.php
- framework/functions/theme-functions.php
- framework/parts/not-found.php
- framework/widgets/google.php
- framework/widgets/instagram.php
- framework/widgets/weather.php
- js/scripts.js
- languages/ar.mo
- languages/ar.po
- languages/fa_IR.mo
- languages/fa_IR.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.3.0 - 2017-10-03 =

- New: Automatic theme update feature.
- New: Edit Post link in the end of the post.
- New: Button to revoke the theme validation in order to use the license on another domain.
- New: Animated appearance for the Sticky Logo.
- IMPROVED: Lazy Load for in-post images.
- IMPROVED: Mega menu functions.
- IMPROVED: Mega menu and footer custom colors.
- IMPROVED: Sections custom margins in the responsive version.
- IMPROVED: Default Logo margins in the Header Layout 3.
- FIXED: Gif User's avatar size bug.
- FIXED: Some HTML markup validation issues.
- FIXED: Display the post's author name and avatars in some posts layouts bug.
- FIXED: WooCommerce product's gallery height bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- single.php
- style.css
- rtl.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/auto-update.php
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-help-links.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-validation.php
- framework/admin/framework-welcome.php
- framework/admin/menu-limit-detector.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/update-notifier.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/post-options/e3lan.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/web-notifications.php
- framework/functions/formating.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/headers/header-components.php
- framework/headers/header-main-nav.php
- framework/headers/header-posts-layout.php
- framework/parts/featured.php
- js/scripts.js
- js/scripts.min.js

-------------------------------------------------------------------------

= 1.2.2 - 2017-09-17 =

- FIXED: Post views PHP notice after publishing the post.
- FIXED: IE styling issues.
- FIXED: LazyLoad issues on Chrome v61.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/ie-lte-11.css
- css/style.css
- css/style.min.css
- framework/admin/framework-admin.php
- framework/admin/framework-validation.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/plugin-integrations/jetpack.php
- js/scripts.js
- js/scripts.min.js
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.2.1 - 2017-09-15 =

- IMPROVED: Compatibility with the Fast Velocity Minify plugin.
- IMPROVED: Compatibility with the JS & CSS Script Optimizer plugin.
- IMPROVED: Demo importer logs.
- FIXED: LazyLoad images in the Custom slider bug.
- FIXED: Bug when Loading the internal documentation pages in the dashboard on the SSL websites.
- FIXED: Javascript issue with IE and Safari on Windows.
- FIXED: 505 error when importing the demos while the xmlreader module is disabled.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- css/style.css
- css/style.min.css
- framework/admin/framework-system-status.php
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
- framework/functions/theme-functions.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.2.0 - 2017-09-11 =

- New: 3 typography options to customize the posts titles in the sliders.
- NEW: LazyLoad for the Sliders images.
- NEW: LazyLoad for Videos images in the Videos Playlist.
- NEW: Show/Hide the Automatic Featured Image for the standard posts now works on the AMP pages.
- NEW: Added More texts to translations panel.
- NEW: Integration with the Jetpack Stats module.
- NEW: Integration with the WordPress Social Login plugin, now you can use the login social buttons with the theme's Login sections.
- NEW: Integration with the Google Captcha (reCAPTCHA) plugin, now you can add the reCAPTCHA to the theme's Login sections.
- NEW: Responsive in-post tables with an option to disable it in case you want to use a custom plugin.
- NEW: AMP WhatsApp share button.
- NEW: AMP Tumblr share button.
- NEW: AMP SMS share button.
- NEW: The new Audio, Video and Image widgets are now available in the TieLabs Page builder Widgets section.
- NEW: Export and Import module for the theme options.
- NEW: Logo in the Sticky menu for all headers layouts.
- NEW: Option to set a custom sticky logo image.
- NEW: Option to set the number of posts in the Check Also block.
- NEW: 7 Arabic fonts added from FontFace.me.
- NEW: Most viewed Posts for 7 days option in the posts widget.
- NEW: Most viewed Posts for 30 days option in the posts widget.
- NEW: Option to show/hide the MENU text for the mobile menu icon.
- NEW: Help links in the theme options.
- NEW: Add supports for the Private posts in the blocks.
- NEW: Now the theme highlights the primary category only in the main nav.
- NEW: Recommended Plugins section in the Install plugins page.
- NEW: Notice message when a new update is available for a bundled plugin.
- NEW: Add shortcode support for the featured image's caption.
- NEW: Page builder Blocks now shows the child categories posts.
- NEW: Now terms descriptions supports Shortcodes.
- IMPROVED: Changed the Schema default type value of the posts to Article.
- IMPROVED: Tabs Widget backend sortable function.
- IMPROVED: BuddyPress form styles.
- IMPROVED: WooCommerce styles.
- IMPROVED: The LazyLoad image feature of the Avatars.
- IMPROVED: BreadCrumbs support for the CPT.
- IMPROVED: Post views system excludes the bots visits.
- FIXED: Vertical Tabs Shortcode bug.
- FIXED: AMP validation issue in the RTL version.
- FIXED: Delete/Close buttons in the Page Builder Widgets.
- FIXED: Mega Menu bug on tablets.
- FIXED: Breadcrumbs bug if the post doesn't have a category.
- FIXED: Javascript conflict with the plugins use the jQuery UI tooltip.
- FIXED: Masonry page categories issue.
- FIXED: Breaking News Typography option bug.
- FIXED: A conflict with the wp user avatars plugin.
- FIXED: A conflict with the Author Image plugin.
- FIXED: LazyLoad Avatars in the WooCommerce reviews bug.
- FIXED: Hide thumbs option for the Block #1.
- FIXED: External videos position in the default WordPress Videos widget in the RTL.
- FIXED: Social icons alignment in the RTL About Widget.
- FIXED: Web safe fonts bug.
- FIXED: Block title custom color bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/widgets.php
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-help-links.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-welcome.php
- framework/admin/page-builder-widgets.php
- framework/admin/posts-options.php
- framework/admin/required-plugins.php
- framework/admin/theme-options.php
- framework/admin/updates.php
- framework/admin/assets/page-widgets.js
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/category-options/menu.php
- framework/admin/inc/tgm/class-tgm-plugin-activation.php
- framework/admin/post-options/menu.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/archives.php
- framework/admin/theme-options/background.php
- framework/admin/theme-options/backup.php
- framework/admin/theme-options/bbpress.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/footer.php
- framework/admin/theme-options/general.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/layout.php
- framework/admin/theme-options/lightbox.php
- framework/admin/theme-options/logo.php
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/posts.php
- framework/admin/theme-options/share.php
- framework/admin/theme-options/sidebars.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/translations.php
- framework/admin/theme-options/typography.php
- framework/admin/theme-options/web-notifications.php
- framework/admin/theme-options/woocommerce.php
- framework/functions/breadcrumbs.php
- framework/functions/foxpush.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/mobile.php
- framework/functions/page-templates.php
- framework/functions/pagenavi.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-main-nav.php
- framework/loops/loop-default.php
- framework/parts/featured.php
- framework/parts/post-featured.php
- framework/parts/post-fly-box.php
- framework/parts/video-list.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/jetpack.php
- framework/plugin-integrations/load.php
- framework/plugin-integrations/amp-templates/style.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/tabs.php
- images/tie-empty-square.png
- js/scripts.js
- js/scripts.min.js
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.1.1 - 2017-07-25 =

- IMPROVED: LazyLoad for the user's avatar.
- IMPROVED: WooCommerce elements Styling.
- IMPROVED: Mobile menu spacing.
- IMPROVED: Comments section styles.
- IMPROVED: Twitter videos style.
- IMPROVED: Cart and BuddyPress notifications bubble style.
- IMPROVED: Special chars support in the Story Highlights, source, and Via modules.
- IMPROVED: PHP 7 Compatibility.
- FIXED: Web Notification bug.
- FIXED: Bug in the Post views module.
- FIXED: Custom RSS URL bug.
- FIXED: Index Shortcode bug with the non-latin languages.
- FIXED: Styling conflict with the LiveBlog plugin.
- FIXED: HTML codes issue in the og:description meta.
- FIXED: Misspelled words.
- FIXED: AMP Facebook share button bug.
- FIXED: Sliders Blocks styling issue on FireFox.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- single.php
- style.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/posts-options.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/assets/images/foxpush.svg
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/post-options/general.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/web-notifications.php
- framework/functions/formating.php
- framework/functions/foxpush.php
- framework/functions/images.php
- framework/functions/open-graph.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-components.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/woocommerce.php
- framework/plugin-integrations/amp-templates/style.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.1.0 - 2017-07-10 =

- NEW: Introducing our Jannah Switcher Plugin now you can migrating your posts from 17 themes to Jannah.
- NEW: Option to set a custom RSS feed URL.
- NEW: Option to embed Audio code.
- NEW: Unlimited Source and Via options.
- NEW: Facebook Videos support.
- NEW: Twitter Videos support.
- NEW: Option to set the page as a front page directly from the edit page.
- IMPROVED: Disallow switching to Jannah if the current PHP version in prior 5.3.
- IMPROVED: The Images quality in the full-width mode for blocks: #4, #11, #12 and #15.
- IMPROVED: Theme options page speed.
- IMPROVED: Post Content images lazy load.
- FIXED: Bug prevents the Permalink edit section from appearing when adding a new post.
- FIXED: Post Layout 8 background bug.
- FIXED: Adsense Ad styling issue in the post content area.
- FIXED: Twitter share button is changing to the official button if the Twitter Js file is loaded in the page.
- FIXED: Mobile menu issue when the "Hidding Heading" option is active.
- FIXED: Comments section title translation bug.
- FIXED: Bug in the Slideshow shortcode.
- FIXED: Youtube Widget styling bug in the RTL.
- And Improvements and minor bug fixes.

# Files Updated
- rtl.css
- style.css
- single.php
- comments.php
- functions.php
- css/bbpress.css
- css/style.css
- css/style.min.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/posts-options.php
- framework/admin/required-plugins.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/category-options/category-layout.php
- framework/admin/inc/tgm/class-tgm-plugin-activation.php
- framework/admin/post-options/general.php
- framework/admin/post-options/source-via.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/typography.php
- framework/functions/backward-compatibility.php
- framework/functions/disable.php
- framework/functions/formating.php
- framework/functions/media.php
- framework/functions/mega-menus.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/styles-footer.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/functions/wp-helper-functions.php
- framework/headers/header-posts-layout.php
- framework/loops/loop-default.php
- framework/loops/loop-full_thumb.php
- framework/loops/loop-large_above.php
- framework/loops/loop-large_first.php
- framework/loops/loop-overlay-title.php
- framework/parts/archives.php
- framework/parts/page-head.php
- framework/parts/post-featured.php
- framework/parts/post-share.php
- framework/plugin-integrations/amp.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.0.3 - 2017-07-01 =

- IMPROVED: BuddyPress Profile page link in the Login widget.
- IMPROVED: WooCommerce Elements Styles.
- IMPROVED: Post Layout 8 with header 3 when the below header ad is active.
- IMPROVED: AMP RTL elements styles.
- IMPROVED: 'Story Highlights' text added to the translations panel.
- IMPROVED: Amp Related posts module now uses the amp links for the posts
- IMPROVED: New option to disable the theme's AMP functionality in case you want to use a 3d party plugin.
- FIXED: AMP validations errors.
- FIXED: Saving Page error when the page builder margin fields contain a negative number.
- FIXED: Archive title bug.
- FIXED: Estimated Reading time issue with non-latin languages.
- FIXED: Hide Mega Menu sub-titles option in the mobile menu.
- Fixed: Missing the icons and text labels in the Mobile menu.
- FIXED: Missing some translation texts in the live search module.
- FIXED: Images Lazyload bug with the Elementor plugin.
- FIXED: Images Lazyload bug with the Jetpack plugin.
- FIXED: Installing plugins updates on some servers.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/bbpress.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-options.php
- framework/admin/framework-validation.php
- framework/admin/required-plugins.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/theme-options/amp.php
- framework/functions/formating.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/setup.php
- framework/functions/styles-footer.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-main-nav.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/woocommerce.php
- framework/plugin-integrations/amp-templates/featured-image.php
- framework/plugin-integrations/amp-templates/footer.php
- framework/plugin-integrations/amp-templates/header-bar.php
- framework/plugin-integrations/amp-templates/style.php

-------------------------------------------------------------------------

= 1.0.2 - 2017-06-26 =

- IMPROVED: Compatibility with WordPress 4.6.0 and below.
- IMPROVED: Compatibility with PHP 7.1.1.
- IMPROVED: .slider-nav class name changed to avoid any conflicts with 3d party plugins.
- IMPROVED: BuddyPress styling.
- IMPROVED: Highlight for the parent menu item of current item.
- IMPROVED: Highlight for the sub menu active item.
- IMPROVED: Page's featured image now appears by default.
- IMPROVED: Theme Wrappers for the Sensei plugin.
- FIXED: Post URL in the twitter share button.
- FIXED: Translation panel bug with the statements contain custom chars.
- FIXED: Missing Registration link in the login widget when using WordPress Multisite.
- FIXED: Scrolling block Javascript issue.
- FIXED: In post custom links color.
- FIXED: Conflict with the JetPack comments section.
- Fixed: Ajax pagination bug in the archives.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/blocks.php
- framework/admin/demo-importer.php
- framework/admin/framework-notices.php
- framework/admin/framework-system-status.php
- framework/admin/page-builder-widgets.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/inc/one-click-demo-import/inc/class-ocdi-widget-importer.php
- framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/translations.php
- framework/functions/ajax.php
- framework/functions/backward-compatibility.php
- framework/functions/formating.php
- framework/functions/open-graph.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/parts/featured.php
- framework/parts/page-head.php
- framework/parts/post-featured.php
- framework/parts/post-share.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/buddypress.php
- framework/plugin-integrations/load.php
- framework/plugin-integrations/sensei.php
- framework/plugin-integrations/woocommerce.php
- framework/widgets/slider.php
- framework/widgets/twitter.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.0.1 - 2017-06-22 =

- IMPROVED: Notice message in the menu page for the max_input_vars configuration.
- IMPROVED: Styles of some elements.
- FIXED: Up-Sells section number of products.
- FIXED: Error bug in the Sahifa/Jarida Switch Bridge.
- FIXED: Post Slideshow bug when the minified plugin is active.
- REMOVED: Featured Videos widget. use the new Video widget in WordPress 4.8 instead.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- css/style.css
- css/style.min.css
- framework/widgets.php
- framework/admin/framework-admin.php
- framework/admin/framework-system-status.php
- framework/admin/menu-limit-detector.php
- framework/functions/backward-compatibility.php
- framework/functions/mega-menus.php
- framework/functions/woocommerce.php
- framework/widgets/video.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.0.0 - 2017-06-19 =

- First release
